<?

require_once("include/general_func.inc.php");

dbconn();

loggedonly();

adminonly();

if (isset($_GET["mark_done"]))
{
	safequery("UPDATE feedback SET is_done = 1 WHERE id = ".intval($_GET["mark_done"]) . " LIMIT 1");
	update_feedback_count();
}
elseif (isset($_GET["delete"]))
{
	safequery("DELETE FROM feedback WHERE id = " . intval($_GET["delete"]) . " LIMIT 1");
	update_feedback_count();
}

stdhead("View feedback");

function view_row($row)
{
	/*
		CREATE TABLE `feedback` (
		`id` INT UNSIGNED NOT NULL ,
		`users_id` INT UNSIGNED NOT NULL ,
		`type` ENUM( 'bug', 'feature_request', 'other' ) NOT NULL ,
		`feedback_text` TEXT NOT NULL ,
		`is_done` TINYINT( 1 ) UNSIGNED NOT NULL ,
		`received` DATETIME NOT NULL ,
		PRIMARY KEY ( `id` ) ,
		INDEX ( `users_id` , `type` , `is_done` , `received` ) 
		) COMMENT = 'Feedback from users';
	*/
	
	echo "<tr>";
	echo "<td>".$row["id"]."</td>";
	echo "<td>".userlink($row["users_id"], $row["username"])."</td>";
	echo "<td>".$row["type"]."</td>";
	echo "<td>".$row["feedback_text"]."</td>";
	echo "<td>".(($row["is_done"] == 1) ? "yes" : "no")."</td>";
	echo "<td>".$row["received"]."</td>";
	echo "<td>";
	if ($row["is_done"] == 0)
		echo "<a href=\"view_feedback.php?mark_done=".$row["id"]."\">Done</a><br>";
	echo "<a href=\"view_feedback.php?delete=".$row["id"]."\">Delete</a><br>";
	echo "</td>";
	echo "</tr>";
}

function view_feedback($res)
{
	echo "<table>";
	echo "<tr><td>ID</td><td>Username</td><td>Type</td><td>Text</td><td>Is done?</td><td>Received at</td><td>Functions</td></tr>";
	while($row = mysql_fetch_array($res))
	{
		echo view_row($row);
	}
	echo "</table>";
}

function query_feedback($terms = "", $limit = 0)
{
	if ($terms == "")
		$termsstr = "";
	else
		$termsstr = " WHERE " . $terms;
	
	if ($limit == 0)
		$limitstr = "";
	else
		$limitstr = " LIMIT ".$limit;
	
	return safequery(
			"SELECT".
			" feedback.id, feedback.users_id, feedback.type, feedback.feedback_text, feedback.is_done,".
			" feedback.received, user.username".
			" FROM feedback".
			" LEFT JOIN user ON feedback.users_id = user.id ". 
			" LEFT JOIN user AS accepted ON feedback.users_id = accepted.id ". 
			$termsstr . 
			$limitstr);
}

view_feedback(query_feedback());
?>
<br>
<br>
<?

stdfoot();
?>
